Palemoon 28.8 cannot run because libxul and XPCOMGlueLoad error for file libxul.so: libX11-xcb.so.1: cannot open shared

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderator: trava90

Post Reply
User avatar
coltson
Moongazer
Moongazer
Posts: 10
Joined: 2018-10-06, 13:03

Palemoon 28.8 cannot run because libxul and XPCOMGlueLoad error for file libxul.so: libX11-xcb.so.1: cannot open shared

Post by coltson » 2020-01-25, 22:24

Hello. I am trying to run the palemoon with the command

Code: Select all

./ld-2.17.so --library-path /media/34GB/Arquivos-de-Programas-Linux/Glibc-2.17/lib:/usr/lib:/lib /media/34GB/Arquivos-de-Programas-Linux/palemoon-28.8.1/palemoon
Yet, when I try it, I receive

Code: Select all

XPCOMGlueLoad error for file /media/34GB/Arquivos-de-Programas-Linux/palemoon-28.8.1/libxul.so:
libxcb-shm.so.0: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
I do not have such file on my system, and throwing that error message on internet search mechanisms do not tell me the package or source package to where I can get this library. So I would appreciate if someone can point me to where I can find one of these packages or a way to make ld-2.17.so to find libxul (I just tried to include the palemoon's lib with

Code: Select all

[code]./ld-2.17.so --library-path /media/34GB/Arquivos-de-Programas-Linux/Glibc-2.17/lib:/usr/lib:/lib://media/34GB/Arquivos-de-Programas-Linux/palemoon-28.8.1/palemoon /media/34GB/Arquivos-de-Programas-Linux/palemoon-28.8.1/palemoon
. however it did not work

vannilla
Keeps coming back
Keeps coming back
Posts: 825
Joined: 2018-05-05, 13:29

Re: Palemoon 28.8 cannot run because libxul and XPCOMGlueLoad error for file libxul.so: libX11-xcb.so.1: cannot open sh

Post by vannilla » 2020-01-26, 01:10

Why are you trying to run Pale Moon like that? Knowing your intentions would certainly help with the issue.
Anyway, make sure you have GTK, Xlib and XCB installed and in your ld path.

User avatar
coltson
Moongazer
Moongazer
Posts: 10
Joined: 2018-10-06, 13:03

Re: Palemoon 28.8 cannot run because libxul and XPCOMGlueLoad error for file libxul.so: libX11-xcb.so.1: cannot open sh

Post by coltson » 2020-02-02, 22:57

vannilla wrote:
2020-01-26, 01:10
Why are you trying to run Pale Moon like that? Knowing your intentions would certainly help with the issue.
Anyway, make sure you have GTK, Xlib and XCB installed and in your ld path.
Because it cannot be done in any other way, since Palemoon requires a newer libc than the one my system uses by default.

About the packages I believe they are installed (a bit doubtful about Xlib). Although I am not sure if it's relevant

vannilla
Keeps coming back
Keeps coming back
Posts: 825
Joined: 2018-05-05, 13:29

Re: Palemoon 28.8 cannot run because libxul and XPCOMGlueLoad error for file libxul.so: libX11-xcb.so.1: cannot open sh

Post by vannilla » 2020-02-02, 23:57

Considering the missing library is libxcb-shm, I'm pretty sure the problem lies there.
Try using ldd and see which path is looked at to find libxcb-shm.

User avatar
stevepusser
Astronaut
Astronaut
Posts: 555
Joined: 2015-08-01, 18:33
Location: California

Re: Palemoon 28.8 cannot run because libxul and XPCOMGlueLoad error for file libxul.so: libX11-xcb.so.1: cannot open sh

Post by stevepusser » 2020-02-03, 02:21

Maybe if you shared a little bit more about your distro, there would be a better way.

Is there no way to update your distro, also?

User avatar
Nigaikaze
Forum staff
Forum staff
Posts: 1146
Joined: 2014-02-02, 22:15
Location: Chicago, IL, USA

Re: Palemoon 28.8 cannot run because libxul and XPCOMGlueLoad error for file libxul.so: libX11-xcb.so.1: cannot open sh

Post by Nigaikaze » 2020-02-03, 04:47

stevepusser wrote:
2020-02-03, 02:21
Maybe if you shared a little bit more about your distro, there would be a better way.
As of the last thread he started, he was on Ubuntu 10.04 and claimed he could not update that.
Nichi nichi kore ko jitsu = Every day is a good day.

Post Reply